<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TAutoStandardInfoMapper">

  <resultMap id="tAutoStandardInfoMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TAutoStandardInfo">
    <id property="id" column="ID"/>
    <result property="mainId" column="MAIN_ID"/>
    <result property="standard" column="STANDARD"/>
	  <result property="standardId" column="STANDARD_ID"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.ID,
                a.MAIN_ID,
                a.STANDARD,
				a.STANDARD_ID
    </sql>
    <sql id="tAutoStandardInfo_where">
        <if test="tAutoStandardInfo != null">
                    <if test="tAutoStandardInfo.id != null and tAutoStandardInfo.id.trim() != ''">
                        AND a.ID = #{tAutoStandardInfo.id}
                    </if>
                    <if test="tAutoStandardInfo.mainId != null and tAutoStandardInfo.mainId.trim() != ''">
                        AND a.MAIN_ID = #{tAutoStandardInfo.mainId}
                    </if>
                    <if test="tAutoStandardInfo.standard != null">
                        AND a.STANDARD = #{tAutoStandardInfo.standard}
                    </if>
					<if test="tAutoStandardInfo.standardId != null">
						AND a.STANDARD_ID = #{tAutoStandardInfo.standardId}
					</if>
        </if>
    </sql>
    <!--tAutoStandardInfo简单分页查询-->
    <select id="getTAutoStandardInfoPage" resultMap="tAutoStandardInfoMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_auto_standard_info a
        <where>
            <include refid="tAutoStandardInfo_where"/>
        </where>
    </select>

	<!--tAutoStandardInfo简单分页查询-->
	<select id="getTAutoStandardInfoNoPage" resultMap="tAutoStandardInfoMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM t_auto_standard_info a
		<where>
			1=1
			<include refid="tAutoStandardInfo_where"/>
		</where>
	</select>
</mapper>
